# Post action to orchestration payment

Posts action into the Orchestration service.

Endpoint: POST /v4/orchestration/payment/action
Version: 4.0.0
Security: Bearer

## Request fields (application/json):

  - `unique_reference_number` (string, required)
    Set to the unique reference number associated with the payment.
    Example: "310000015"

  - `status` (string, required)
    Activity status
    Enum: "SUCCESS", "FAILURE", "DECLINED", "REDO", "SUBSTATE", "NOTIFY", "PENDING", "SUBTASK"

  - `notification_type` (string, required)
    Activity context name.

Use with the status parameter to define the action.

Recommended values:

| Value | Notification type |
| --- | --- |
| CONFIRM_LOCK | Confirm the lock  |
| CONFIRM_SETTLE | Confirm settlement |
| CONFIRM_COMPLETE | Confirm completion |
| PARTNER_SUBSTATE | Notify on partner substateUse with output.sub_state to provide additional information. |
    Example: "PARTNER_SUBSTATE"

  - `output` (object)
    Use this object when notification_type is PARTNER_SUBSTATE.

For all other values of notification_type, this property can be null.

  - `output.sub_state` (string)
    Free-form string that describes a sub-state of the payment while it is in the EXECUTED state, for example, FORWARDED or AWAITING_COLLECTION.

Displays as a label value in the labels array.

Also displays as the key value in the receiving node's user_info.executed array.
    Example: "AMENDED"

  - `output.memo` (string)
    Free-form details that describe the sub_state of the payment, for example, with courier heading to payout location.

Displays as the value value in the receiving node's user_info.executed array.
    Example: "Last name must be corrected"

  - `output.info` (object)
    Provide one or more arbitrary key/value pairs.
    Example: {"last_name":"Gonzales"}

  - `error` (array)
    Array of one or more activity error objects.

When status is FAILURE or DECLINED, use this to fail a payment or decline a request to lock a payment.

For all other status values, this property can be null.
    Example: "null"

  - `error.type` (string)
    For recommended type values, see [Returns and failure codes](/products/payments-odl/api-docs/ripplenet/resources/error-codes/returns-and-error-codes/).

  - `error.code` (string)
    For recommended failure codes, see [Returns and failure codes](/products/payments-odl/api-docs/ripplenet/resources/error-codes/returns-and-error-codes/#812-failure-type-codes).

  - `error.reason` (string)
    The reason for the failure or lock decline.

## Response 201 fields (application/json):

  - `unique_reference_number` (string)
    Unique Reference Number.
    Example: "00310000015"


